# com.sun.mail.smtp

## Interfaces

- SaslAuthenticator

## Classes

- DigestMD5
- SMTPMessage
- SMTPOutputStream
- SMTPSaslAuthenticator
- SMTPSSLTransport
- SMTPTransport

## Exceptions

- DigestMD5
- SaslAuthenticator
- SMTPAddressFailedException
- SMTPAddressSucceededException
- SMTPMessage
- SMTPOutputStream
- SMTPSaslAuthenticator
- SMTPSenderFailedException
- SMTPSendFailedException
- SMTPSSLTransport
- SMTPTransport